# Commit prefix regexes
type:Compiler:
    title: "^COMP:.*"

type:Bug:
    title: "^BUG:.*"

area:Documentation:
    title: "^DOC:.*"

type:Enhancement:
    title: "^ENH:.*"

type:Performance:
    title: "^PERF:.*"

type:Style:
    title: "^STYLE:.*"

# Modified filename regexes
area:Bridge:
    file: "Modules/Bridge/*"

area:Core:
    file: "Modules/Core/*"

area:Documentation:
    file: "Documentation/*"

area:Examples:
    file: "Examples/*"

area:Filtering:
    file: "Modules/Filtering/*"

area:IO:
    file: "Modules/IO/*"

area:Numerics:
    file: "Modules/Numerics/*"

area:Python wrapping:
    file: "*.py*"

area:Registration:
    file: "Modules/Registration/*"

area:Remotes:
    file: "Modules/Remote/*"

area:Segmentation:
    file: "Modules/Segmentation/*"

area:ThirdParty:
    file: "Modules/ThirdParty/*"

area:Video:
    file: "Modules/Video/*"

type:Testing:
    file: "Testing/*"

type:Testing:
    file: "*Test*.cxx"

type:Testing:
    file: "*Test*.py"
